PJSIP2.5.5 ошибка при сборке настройка android

TARGET_ABI=armeabi-v7a ./ настройка-android —use-ndk-cflags
настройка-android: APP_PLATFORM не указан, используется android-24
configure-ошибка android: компилятор не найден, проверьте настройки среды (TARGET_ABI и т. д)

Im получение этой ошибки при попытке настроить для этого целевого ABI.

Может кто-нибудь помочь??

1 ответ

  1. Я нашел решение.Существует билет для этой проблемы, как NDK13 имеет
    GCC больше не поддерживается. Он еще не будет удален из NDK,
    но больше не получает backports.
    Он не может быть удален до тех пор, пока libc++ не станет достаточно стабильным, чтобы быть по умолчанию,
    поскольку некоторые части gnustl все еще несовместимы с Clang.
    Он, скорее всего, будет удален после этой точки.

    https://trac.pjsip.org/repos/ticket/1968